%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-sahara
Version:        10.3.1
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Sahara
License:        ASL 2.0

URL:            https://launchpad.net/puppet-sahara

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=+1
Patch0001: 0001-ocata-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0002: 0002-Switch-to-Zuul-v3-testing.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
#Requires:       puppet-postgresql
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Sahara

%prep
%setup -q -n openstack-sahara-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/sahara/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/sahara/



%files
%{_datadir}/openstack-puppet/modules/sahara/


%changelog
* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.3.1-3
- Switch to Zuul v3 testing

* Fri Nov 10 2017 shrjoshi <shrjoshi@redhat.com> 10.3.1-2
- Update patches

* Mon Jun 26 2017 Jason Joyce <jjoyce@redhat.com> 10.3.1-1
- Update to 10.3.1

* Tue Mar 21 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-2
- update License for standard naming

* Fri Feb 10 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


